[postgis-tickets] [SCM] PostGIS branch stable-2.5 updated. 2.5.4-17-g778d66b

git at osgeo.org git at osgeo.org
Sat Jun 27 12:09:47 PDT 2020


This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "PostGIS".

The branch, stable-2.5 has been updated
       via  778d66b336f613e1072ff53b2e206a51d344d706 (commit)
      from  55c042d5f79a2f1db522718636f8f7d3c874565b (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
commit 778d66b336f613e1072ff53b2e206a51d344d706
Author: Regina Obe <lr at pcorp.us>
Date:   Sat Jun 27 15:09:42 2020 -0400

    Add berrie64 and berrie to jenkins bot chain references #4708 for PostGIS 2.5

diff --git a/README.md b/README.md
index e3c056c..95dfcd4 100644
--- a/README.md
+++ b/README.md
@@ -9,6 +9,11 @@ Travis:
 GitLab-CI:
  [![Gitlab-CI](https://gitlab.com/postgis/postgis/badges/stable-2.5/pipeline.svg)](https://gitlab.com/postgis/postgis/commits/stable-2.5)
 
+ Berrie:
+ [![Build Status](https://debbie.postgis.net/buildStatus/icon?job=PostGIS_Worker_Run%2Flabel%3Dberrie)](https://debbie.postgis.net/view/PostGIS/job/PostGIS_Worker_Run/label=berrie/)
+ Berrie64:
+ [![Build Status](https://debbie.postgis.net/buildStatus/icon?job=PostGIS_Worker_Run%2Flabel%3Dberrie64)](https://debbie.postgis.net/view/PostGIS/job/PostGIS_Worker_Run/label=berrie64/)
+
 This file is here to play nicely with modern code repository facilities.
 Actual readme is [here](README.postgis).
 
diff --git a/ci/berrie/pg_init_start.sh b/ci/berrie/pg_init_start.sh
new file mode 100644
index 0000000..7914f0e
--- /dev/null
+++ b/ci/berrie/pg_init_start.sh
@@ -0,0 +1,36 @@
+#Berrie is a 32-bit Rasberry Pi Arm managed by Bruce Rindahl
+#This is script to launch custom compiled PostgreSQL
+#export label=berrie64 #this is passed in via Jenkins
+export WORKSPACE=/home/jenkins/workspace
+
+export OS_BUILD=32
+export PG_VER=12
+export PGPATH=${WORKSPACE}/pg/label/${label}/rel/pg${PG_VER}w${OS_BUILD}
+export PATH=${PATH}:${PGPATH}/bin:${PGPATH}/lib
+export PGPORT=55432
+export PGDATA=$PGPATH/data_${PGPORT}
+export PGLOG="$PGDATA/pgsql.log"
+# What to use to start up the postmaster
+DAEMON="$PGPATH/bin/pg_ctl -D $PGDATA -l logfile start"
+
+# What to use to shut down the postmaster
+PGCTL="$PGPATH/bin/pg_ctl"
+
+# remove cluster if exists
+if [ -d $PGDATA ] ; then
+    if [ -d $PGDATA/postmaster.pid] ; then
+    	$PGCTL stop -D $PGDATA -s -m fast
+    fi;
+
+    rm -rf $PGDATA
+fi;
+
+#initialize cluster
+$PGPATH/bin/initdb
+
+echo -n "Starting PostgreSQL: "
+$DAEMON &
+#sleep a bit because sometimes postgres takes a bit to start up
+sleep 20
+echo "ok"
+exit 0
diff --git a/ci/berrie/postgis_regress.sh b/ci/berrie/postgis_regress.sh
new file mode 100644
index 0000000..0d1f0b9
--- /dev/null
+++ b/ci/berrie/postgis_regress.sh
@@ -0,0 +1,33 @@
+#!/bin/bash
+# Berrie is a 32-bit Rasberry Pi Arm managed by Bruce Rindahl
+## BRANCH is passed in via jenkins which is set via gitea web hook
+#export BRANCH=618a67b1d6fc223dd5a4c0b02c824939f21dbd65
+## label is set by jenkins
+#export label=${label}
+
+export WORKSPACE=/home/jenkins/workspace
+
+cd ${WORKSPACE}/PostGIS_Worker_Run/label/${label}/$BRANCH
+export OS_BUILD=32
+export PG_VER=12
+export PGPATH=${WORKSPACE}/pg/label/${label}/rel/pg${PG_VER}w${OS_BUILD}
+
+export PATH=${PATH}:${PGPATH}/bin:${PGPATH}/lib
+export PGPORT=55432
+export PGDATA=$PGPATH/data_${PGPORT}
+export PGHOST=localhost
+
+sh autogen.sh
+./configure --with-pgconfig=${PGPATH}/bin/pg_config
+#make clean
+make
+export err_status=0
+make check RUNTESTFLAGS="-v"
+make install
+make check RUNTESTFLAGS="-v --extension"
+err_status=$?
+
+if [ -d $PGDATA/postmaster.pid ] ; then
+	$PGCTL stop -D $PGDATA -s -m fast
+fi
+exit $err_status
diff --git a/ci/berrie64/pg_init_start.sh b/ci/berrie64/pg_init_start.sh
new file mode 100644
index 0000000..0ebe243
--- /dev/null
+++ b/ci/berrie64/pg_init_start.sh
@@ -0,0 +1,36 @@
+#Berrie64 is a 64-bit Rasberry Pi Arm managed by Bruce Rindahl
+#This is script to launch custom compiled PostgreSQL
+#export label=berrie64 #this is passed in via Jenkins
+export WORKSPACE=/home/jenkins/workspace
+
+export OS_BUILD=64
+export PG_VER=12
+export PGPATH=${WORKSPACE}/pg/label/${label}/rel/pg${PG_VER}w${OS_BUILD}
+export PATH=${PATH}:${PGPATH}/bin:${PGPATH}/lib
+export PGPORT=55432
+export PGDATA=$PGPATH/data_${PGPORT}
+export PGLOG="$PGDATA/pgsql.log"
+# What to use to start up the postmaster
+DAEMON="$PGPATH/bin/pg_ctl -D $PGDATA -l logfile start"
+
+# What to use to shut down the postmaster
+PGCTL="$PGPATH/bin/pg_ctl"
+
+# remove cluster if exists
+if [ -d $PGDATA ] ; then
+    if [ -d $PGDATA/postmaster.pid] ; then
+    	$PGCTL stop -D $PGDATA -s -m fast
+    fi;
+
+    rm -rf $PGDATA
+fi;
+
+#initialize cluster
+$PGPATH/bin/initdb
+
+echo -n "Starting PostgreSQL: "
+$DAEMON &
+#sleep a bit because sometimes postgres takes a bit to start up
+sleep 20
+echo "ok"
+exit 0
diff --git a/ci/berrie64/postgis_regress.sh b/ci/berrie64/postgis_regress.sh
new file mode 100644
index 0000000..5bcebfb
--- /dev/null
+++ b/ci/berrie64/postgis_regress.sh
@@ -0,0 +1,33 @@
+#!/bin/bash
+# Berrie64 is a 64-bit Rasberry Pi Arm managed by Bruce Rindahl
+## BRANCH is passed in via jenkins which is set via gitea web hook
+#export BRANCH=618a67b1d6fc223dd5a4c0b02c824939f21dbd65
+## label is set by jenkins
+#export label=${label}
+
+export WORKSPACE=/home/jenkins/workspace
+
+cd ${WORKSPACE}/PostGIS_Worker_Run/label/${label}/$BRANCH
+export OS_BUILD=64
+export PG_VER=12
+export PGPATH=${WORKSPACE}/pg/label/${label}/rel/pg${PG_VER}w${OS_BUILD}
+
+export PATH=${PATH}:${PGPATH}/bin:${PGPATH}/lib
+export PGPORT=55432
+export PGDATA=$PGPATH/data_${PGPORT}
+export PGHOST=localhost
+
+sh autogen.sh
+./configure --with-pgconfig=${PGPATH}/bin/pg_config
+#make clean
+make
+export err_status=0
+make check RUNTESTFLAGS="-v"
+make install
+make check RUNTESTFLAGS="-v --extension"
+err_status=$?
+
+if [ -d $PGDATA/postmaster.pid ] ; then
+	$PGCTL stop -D $PGDATA -s -m fast
+fi
+exit $err_status

-----------------------------------------------------------------------

Summary of changes:
 README.md                      |  5 +++++
 ci/berrie/pg_init_start.sh     | 36 ++++++++++++++++++++++++++++++++++++
 ci/berrie/postgis_regress.sh   | 33 +++++++++++++++++++++++++++++++++
 ci/berrie64/pg_init_start.sh   | 36 ++++++++++++++++++++++++++++++++++++
 ci/berrie64/postgis_regress.sh | 33 +++++++++++++++++++++++++++++++++
 5 files changed, 143 insertions(+)
 create mode 100644 ci/berrie/pg_init_start.sh
 create mode 100644 ci/berrie/postgis_regress.sh
 create mode 100644 ci/berrie64/pg_init_start.sh
 create mode 100644 ci/berrie64/postgis_regress.sh


hooks/post-receive
-- 
PostGIS


More information about the postgis-tickets mailing list